Package ru.bitel.bgbilling.modules.mobimoney.server.bean

# Class TransactionManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<Transaction>
ru.bitel.bgbilling.common.dao.AbstractIdDao<Transaction>
ru.bitel.bgbilling.server.bean.AbstractTransactionManager<Transaction>
ru.bitel.bgbilling.modules.mobimoney.server.bean.TransactionManager

public class TransactionManager extends AbstractTransactionManager<Transaction>

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.server.bean.AbstractTransactionManager

  `moduleSetup`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TransactionManager(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addTransaction(Transaction transaction)`
  Добавление новой транзакции в БД.
  `boolean`
  `checkPayment(int contractId, String mobiPaymentId)`
  Проверяет, совершал ли указанный договор платеж с таким mobiPaymentId.
  `void`
  `deleteServiceCode(List<Integer> ids)`
  `protected Transaction`
  `getFromRS(ResultSet rs)`
  `List<MobiServiceCode>`
  `getServiceCodeList()`
  `Transaction`
  `getTransaction(String mobiPaymentId)`
  Возвращает одну единственную транзакцию по ее коду.
  `void`
  `searchTransaction(SearchResult<Transaction> searchResult, int contractId, String contractTitle, String status)`
  Универсальный метод, возвращающий список транзакций в зависимости от условий фильтра
  `protected void`
  `updateImpl(Transaction transaction)`
  `void`
  `updateServiceCode(MobiServiceCode mobiServiceCode)`
  `void`
  `updateTransaction(Transaction transaction)`
  Обновление уже существующей транзакции.

  ### Methods inherited from class ru.bitel.bgbilling.server.bean.AbstractTransactionManager

  `checkColumn, doConnection, doConnection, executeQuerySumPage, getParameter, getParamString, getParamString, getParamString, getPaymentData, getTransactionSumColumn, psSetId, psSetStatus, queryId, queryStatus, searchTransaction, setConnectionTimeout, setParameter`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TransactionManager

    public TransactionManager(Connection con, int moduleId)

- ## Method Details

  - ### searchTransaction

    public void searchTransaction(SearchResult<Transaction> searchResult, int contractId, String contractTitle, String status) throws SQLException
    Универсальный метод, возвращающий список транзакций в зависимости от условий фильтра
    Parameters:
      `contractId` -
      `contractTitle` -
      `status` -
      `fromDate` -
      `toDate` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### checkPayment

    public boolean checkPayment(int contractId, String mobiPaymentId) throws SQLException
    Проверяет, совершал ли указанный договор платеж с таким mobiPaymentId. По-умолчанию стоит значение false как наиболее вероятный вариант развития событий
    Parameters:
      `contractId` - код договора
      `paymentID` - код транзакции
    Returns:
      true - если на договоре уже есть платеж в указанный момент времени, false - в противном случае.
    Throws:
      `SQLException`

  - ### getTransaction

    public Transaction getTransaction(String mobiPaymentId) throws SQLException
    Возвращает одну единственную транзакцию по ее коду. Используется только на серверной стороне в случае, когда нужнжо обновить статус у уже имеющейся транзакции
    Parameters:
      `mobiPaymentId` - код транзакции на стороне сервиса
    Returns:
      существующая транзакция
    Throws:
      `SQLException`

  - ### addTransaction

    public void addTransaction(Transaction transaction) throws SQLException
    Добавление новой транзакции в БД. В случае успеха транзакции присваивается идентификатор
    Parameters:
      `transaction` - добавляемая транзакция
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### updateTransaction

    public void updateTransaction(Transaction transaction) throws SQLException
    Обновление уже существующей транзакции. ВЫзывается в случае обновления статуса платежа и/или даты оплаты
    Parameters:
      `transaction` - обновляемая транзакция
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### getServiceCodeList

    public List<MobiServiceCode> getServiceCodeList() throws SQLException
    Throws:
      `SQLException`

  - ### updateServiceCode

    public void updateServiceCode(MobiServiceCode mobiServiceCode) throws SQLException
    Throws:
      `SQLException`

  - ### deleteServiceCode

    public void deleteServiceCode(List<Integer> ids) throws SQLException
    Throws:
      `SQLException`

  - ### getFromRS

    protected Transaction getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<Transaction>`
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(Transaction transaction) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<Transaction>`
    Throws:
      `SQLException`